<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Writer\Csv</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method___construct" title="__construct ::Create a new CSV.">
            <span class="description">Create a new CSV.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getDelimiter" title="getDelimiter ::Get delimiter.">
            <span class="description">Get delimiter.</span><pre>getDelimiter</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getDiskCachingDirectory" title="getDiskCachingDirectory ::Get disk caching directory.">
            <span class="description">Get disk caching directory.</span><pre>getDiskCachingDirectory</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getEnclosure" title="getEnclosure ::Get enclosure.">
            <span class="description">Get enclosure.</span><pre>getEnclosure</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getExcelCompatibility" title="getExcelCompatibility ::Get whether the file should be saved with full Excel Compatibility.">
            <span class="description">Get whether the file should be saved with full Excel Compatibility.</span><pre>getExcelCompatibility</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getIncludeCharts" title="getIncludeCharts ::Write charts in workbook?
       If this is true, then the Writer will write definitions for any charts that exist in the PhpSpreadsheet object.">
            <span class="description">Write charts in workbook?
       If this is true, then the Writer will write definitions for any charts that exist in the PhpSpreadsheet object.</span><pre>getIncludeCharts</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getIncludeSeparatorLine" title="getIncludeSeparatorLine ::Get whether a separator line should be included.">
            <span class="description">Get whether a separator line should be included.</span><pre>getIncludeSeparatorLine</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getLineEnding" title="getLineEnding ::Get line ending.">
            <span class="description">Get line ending.</span><pre>getLineEnding</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getPreCalculateFormulas" title="getPreCalculateFormulas ::Get Pre-Calculate Formulas flag
    If this is true (the default), then the writer will recalculate all formulae in a workbook when saving,
       so that the pre-calculated values are immediately available to MS Excel or other office spreadsheet
       viewer when opening the file
    If false, then formulae are not calculated on save. This is faster for saving in PhpSpreadsheet, but slower
       when opening the resulting file in MS Excel, because Excel has to recalculate the formulae itself.">
            <span class="description">Get Pre-Calculate Formulas flag
    If this is true (the default), then the writer will recalculate all formulae in a workbook when saving,
       so that the pre-calculated values are immediately available to MS Excel or other office spreadsheet
       viewer when opening the file
    If false, then formulae are not calculated on save. This is faster for saving in PhpSpreadsheet, but slower
       when opening the resulting file in MS Excel, because Excel has to recalculate the formulae itself.</span><pre>getPreCalculateFormulas</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getSheetIndex" title="getSheetIndex ::Get sheet index.">
            <span class="description">Get sheet index.</span><pre>getSheetIndex</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getUseBOM" title="getUseBOM ::Get whether BOM should be used.">
            <span class="description">Get whether BOM should be used.</span><pre>getUseBOM</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getUseDiskCaching" title="getUseDiskCaching ::Get use disk caching where possible?">
            <span class="description">Get use disk caching where possible?</span><pre>getUseDiskCaching</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_save" title="save ::Save PhpSpreadsheet to file.">
            <span class="description">Save PhpSpreadsheet to file.</span><pre>save</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setDelimiter" title="setDelimiter ::Set delimiter.">
            <span class="description">Set delimiter.</span><pre>setDelimiter</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setEnclosure" title="setEnclosure ::Set enclosure.">
            <span class="description">Set enclosure.</span><pre>setEnclosure</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setExcelCompatibility" title="setExcelCompatibility ::Set whether the file should be saved with full Excel Compatibility.">
            <span class="description">Set whether the file should be saved with full Excel Compatibility.</span><pre>setExcelCompatibility</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_setIncludeCharts" title="setIncludeCharts ::Set write charts in workbook
       Set to true, to advise the Writer to include any charts that exist in the PhpSpreadsheet object.">
            <span class="description">Set write charts in workbook
       Set to true, to advise the Writer to include any charts that exist in the PhpSpreadsheet object.</span><pre>setIncludeCharts</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setIncludeSeparatorLine" title="setIncludeSeparatorLine ::Set whether a separator line should be included as the first line of the file.">
            <span class="description">Set whether a separator line should be included as the first line of the file.</span><pre>setIncludeSeparatorLine</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setLineEnding" title="setLineEnding ::Set line ending.">
            <span class="description">Set line ending.</span><pre>setLineEnding</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_setPreCalculateFormulas" title="setPreCalculateFormulas ::Set Pre-Calculate Formulas
       Set to true (the default) to advise the Writer to calculate all formulae on save
       Set to false to prevent precalculation of formulae on save.">
            <span class="description">Set Pre-Calculate Formulas
       Set to true (the default) to advise the Writer to calculate all formulae on save
       Set to false to prevent precalculation of formulae on save.</span><pre>setPreCalculateFormulas</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setSheetIndex" title="setSheetIndex ::Set sheet index.">
            <span class="description">Set sheet index.</span><pre>setSheetIndex</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setUseBOM" title="setUseBOM ::Set whether BOM should be used.">
            <span class="description">Set whether BOM should be used.</span><pre>setUseBOM</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_setUseDiskCaching" title="setUseDiskCaching ::Set use disk caching where possible?">
            <span class="description">Set use disk caching where possible?</span><pre>setUseDiskCaching</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>                        <li class="methodprivate">
                            <a href="#method_writeLine" title="writeLine ::Write line to CSV file.">
                                <span class="description">Write line to CSV file.</span><pre>writeLine</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Csv</h1>
                <small style="display: block; text-align: right">                        Extends<a href="../classes/PhpOffice.PhpSpreadsheet.Writer.BaseWriter.html">\PhpOffice\PhpSpreadsheet\Writer\BaseWriter</a>                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>Create a new CSV.</h2>
                            <pre>__construct(\PhpOffice\PhpSpreadsheet\Spreadsheet $spreadsheet)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$spreadsheet</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Spreadsheet.html">\PhpOffice\PhpSpreadsheet\Spreadsheet</a></code><p><p>Spreadsheet object</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_getDelimiter"></a>
                        <div class="element clickable methodpublic method_getDelimiter" data-toggle="collapse" data-target=".method_getDelimiter .collapse">
                            <h2>Get delimiter.</h2>
                            <pre>getDelimiter(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getDiskCachingDirectory"></a>
                        <div class="element clickable methodpublic method_getDiskCachingDirectory inherited" data-toggle="collapse" data-target=".method_getDiskCachingDirectory .collapse">
                            <h2>Get disk caching directory.</h2>
                            <pre>getDiskCachingDirectory(): string</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getEnclosure"></a>
                        <div class="element clickable methodpublic method_getEnclosure" data-toggle="collapse" data-target=".method_getEnclosure .collapse">
                            <h2>Get enclosure.</h2>
                            <pre>getEnclosure(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getExcelCompatibility"></a>
                        <div class="element clickable methodpublic method_getExcelCompatibility" data-toggle="collapse" data-target=".method_getExcelCompatibility .collapse">
                            <h2>Get whether the file should be saved with full Excel Compatibility.</h2>
                            <pre>getExcelCompatibility(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getIncludeCharts"></a>
                        <div class="element clickable methodpublic method_getIncludeCharts inherited" data-toggle="collapse" data-target=".method_getIncludeCharts .collapse">
                            <h2>Write charts in workbook?
       If this is true, then the Writer will write definitions for any charts that exist in the PhpSpreadsheet object.</h2>
                            <pre>getIncludeCharts(): boolean</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>If false (the default) it will ignore any charts defined in the PhpSpreadsheet object.</p></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getIncludeSeparatorLine"></a>
                        <div class="element clickable methodpublic method_getIncludeSeparatorLine" data-toggle="collapse" data-target=".method_getIncludeSeparatorLine .collapse">
                            <h2>Get whether a separator line should be included.</h2>
                            <pre>getIncludeSeparatorLine(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getLineEnding"></a>
                        <div class="element clickable methodpublic method_getLineEnding" data-toggle="collapse" data-target=".method_getLineEnding .collapse">
                            <h2>Get line ending.</h2>
                            <pre>getLineEnding(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getPreCalculateFormulas"></a>
                        <div class="element clickable methodpublic method_getPreCalculateFormulas inherited" data-toggle="collapse" data-target=".method_getPreCalculateFormulas .collapse">
                            <h2>Get Pre-Calculate Formulas flag
    If this is true (the default), then the writer will recalculate all formulae in a workbook when saving,
       so that the pre-calculated values are immediately available to MS Excel or other office spreadsheet
       viewer when opening the file
    If false, then formulae are not calculated on save. This is faster for saving in PhpSpreadsheet, but slower
       when opening the resulting file in MS Excel, because Excel has to recalculate the formulae itself.</h2>
                            <pre>getPreCalculateFormulas(): boolean</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getSheetIndex"></a>
                        <div class="element clickable methodpublic method_getSheetIndex" data-toggle="collapse" data-target=".method_getSheetIndex .collapse">
                            <h2>Get sheet index.</h2>
                            <pre>getSheetIndex(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getUseBOM"></a>
                        <div class="element clickable methodpublic method_getUseBOM" data-toggle="collapse" data-target=".method_getUseBOM .collapse">
                            <h2>Get whether BOM should be used.</h2>
                            <pre>getUseBOM(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getUseDiskCaching"></a>
                        <div class="element clickable methodpublic method_getUseDiskCaching inherited" data-toggle="collapse" data-target=".method_getUseDiskCaching .collapse">
                            <h2>Get use disk caching where possible?</h2>
                            <pre>getUseDiskCaching(): boolean</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_save"></a>
                        <div class="element clickable methodpublic method_save" data-toggle="collapse" data-target=".method_save .collapse">
                            <h2>Save PhpSpreadsheet to file.</h2>
                            <pre>save(string $pFilename)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Writer\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pFilename</h4>
                                                <code>string</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setDelimiter"></a>
                        <div class="element clickable methodpublic method_setDelimiter" data-toggle="collapse" data-target=".method_setDelimiter .collapse">
                            <h2>Set delimiter.</h2>
                            <pre>setDelimiter(string $pValue): \PhpOffice\PhpSpreadsheet\Writer\CSV</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p><p>Delimiter, defaults to ','</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>\PhpOffice\PhpSpreadsheet\Writer\CSV</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setEnclosure"></a>
                        <div class="element clickable methodpublic method_setEnclosure" data-toggle="collapse" data-target=".method_setEnclosure .collapse">
                            <h2>Set enclosure.</h2>
                            <pre>setEnclosure(string $pValue): \PhpOffice\PhpSpreadsheet\Writer\CSV</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p><p>Enclosure, defaults to &quot;</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>\PhpOffice\PhpSpreadsheet\Writer\CSV</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setExcelCompatibility"></a>
                        <div class="element clickable methodpublic method_setExcelCompatibility" data-toggle="collapse" data-target=".method_setExcelCompatibility .collapse">
                            <h2>Set whether the file should be saved with full Excel Compatibility.</h2>
                            <pre>setExcelCompatibility(boolean $pValue): \PhpOffice\PhpSpreadsheet\Writer\CSV</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p><p>Set the file to be written as a fully Excel compatible csv file
Note that this overrides other settings such as useBOM, enclosure and delimiter</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>\PhpOffice\PhpSpreadsheet\Writer\CSV</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setIncludeCharts"></a>
                        <div class="element clickable methodpublic method_setIncludeCharts inherited" data-toggle="collapse" data-target=".method_setIncludeCharts .collapse">
                            <h2>Set write charts in workbook
       Set to true, to advise the Writer to include any charts that exist in the PhpSpreadsheet object.</h2>
                            <pre>setIncludeCharts(boolean $pValue): \PhpOffice\PhpSpreadsheet\Writer\IWriter</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Set to false (the default) to ignore charts.</p></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Writer.IWriter.html">\PhpOffice\PhpSpreadsheet\Writer\IWriter</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setIncludeSeparatorLine"></a>
                        <div class="element clickable methodpublic method_setIncludeSeparatorLine" data-toggle="collapse" data-target=".method_setIncludeSeparatorLine .collapse">
                            <h2>Set whether a separator line should be included as the first line of the file.</h2>
                            <pre>setIncludeSeparatorLine(boolean $pValue): \PhpOffice\PhpSpreadsheet\Writer\CSV</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p><p>Use separator line? Defaults to false</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>\PhpOffice\PhpSpreadsheet\Writer\CSV</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setLineEnding"></a>
                        <div class="element clickable methodpublic method_setLineEnding" data-toggle="collapse" data-target=".method_setLineEnding .collapse">
                            <h2>Set line ending.</h2>
                            <pre>setLineEnding(string $pValue): \PhpOffice\PhpSpreadsheet\Writer\CSV</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p><p>Line ending, defaults to OS line ending (PHP_EOL)</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>\PhpOffice\PhpSpreadsheet\Writer\CSV</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setPreCalculateFormulas"></a>
                        <div class="element clickable methodpublic method_setPreCalculateFormulas inherited" data-toggle="collapse" data-target=".method_setPreCalculateFormulas .collapse">
                            <h2>Set Pre-Calculate Formulas
       Set to true (the default) to advise the Writer to calculate all formulae on save
       Set to false to prevent precalculation of formulae on save.</h2>
                            <pre>setPreCalculateFormulas(boolean $pValue): \PhpOffice\PhpSpreadsheet\Writer\IWriter</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p><p>Pre-Calculate Formulas?</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Writer.IWriter.html">\PhpOffice\PhpSpreadsheet\Writer\IWriter</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setSheetIndex"></a>
                        <div class="element clickable methodpublic method_setSheetIndex" data-toggle="collapse" data-target=".method_setSheetIndex .collapse">
                            <h2>Set sheet index.</h2>
                            <pre>setSheetIndex(integer $pValue): \PhpOffice\PhpSpreadsheet\Writer\CSV</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>integer</code><p><p>Sheet index</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>\PhpOffice\PhpSpreadsheet\Writer\CSV</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setUseBOM"></a>
                        <div class="element clickable methodpublic method_setUseBOM" data-toggle="collapse" data-target=".method_setUseBOM .collapse">
                            <h2>Set whether BOM should be used.</h2>
                            <pre>setUseBOM(boolean $pValue): \PhpOffice\PhpSpreadsheet\Writer\CSV</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p><p>Use UTF-8 byte-order mark? Defaults to false</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>\PhpOffice\PhpSpreadsheet\Writer\CSV</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setUseDiskCaching"></a>
                        <div class="element clickable methodpublic method_setUseDiskCaching inherited" data-toggle="collapse" data-target=".method_setUseDiskCaching .collapse">
                            <h2>Set use disk caching where possible?</h2>
                            <pre>setUseDiskCaching(boolean $pValue,string $pDirectory = null): \PhpOffice\PhpSpreadsheet\Writer\IWriter</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$pDirectory</h4>
                                                <code>string</code><p><p>Disk caching directory</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Writer.IWriter.html">\PhpOffice\PhpSpreadsheet\Writer\IWriter</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_writeLine"></a>
                        <div class="element clickable methodprivate method_writeLine" data-toggle="collapse" data-target=".method_writeLine .collapse">
                            <h2>Write line to CSV file.</h2>
                            <pre>writeLine(resource $pFileHandle,array $pValues)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pFileHandle</h4>
                                                <code>resource</code><p><p>PHP filehandle</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$pValues</h4>
                                                <code>array</code><p><p>Array containing values in a row</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_spreadsheet"> </a>
                            <div class="element clickable propertyprivate property_spreadsheet" data-toggle="collapse" data-target=".property_spreadsheet .collapse">
                                <h2>PhpSpreadsheet object.</h2>
                                <pre>spreadsheet :\PhpOffice\PhpSpreadsheet\Spreadsheet</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Spreadsheet.html">\PhpOffice\PhpSpreadsheet\Spreadsheet</a></code>                                    </div>
                                </div>
                            </div>                            <a id="property_delimiter"> </a>
                            <div class="element clickable propertyprivate property_delimiter" data-toggle="collapse" data-target=".property_delimiter .collapse">
                                <h2>Delimiter.</h2>
                                <pre>delimiter :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_enclosure"> </a>
                            <div class="element clickable propertyprivate property_enclosure" data-toggle="collapse" data-target=".property_enclosure .collapse">
                                <h2>Enclosure.</h2>
                                <pre>enclosure :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_lineEnding"> </a>
                            <div class="element clickable propertyprivate property_lineEnding" data-toggle="collapse" data-target=".property_lineEnding .collapse">
                                <h2>Line ending.</h2>
                                <pre>lineEnding :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_sheetIndex"> </a>
                            <div class="element clickable propertyprivate property_sheetIndex" data-toggle="collapse" data-target=".property_sheetIndex .collapse">
                                <h2>Sheet index to write.</h2>
                                <pre>sheetIndex :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_useBOM"> </a>
                            <div class="element clickable propertyprivate property_useBOM" data-toggle="collapse" data-target=".property_useBOM .collapse">
                                <h2>Whether to write a BOM (for UTF8).</h2>
                                <pre>useBOM :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_includeSeparatorLine"> </a>
                            <div class="element clickable propertyprivate property_includeSeparatorLine" data-toggle="collapse" data-target=".property_includeSeparatorLine .collapse">
                                <h2>Whether to write a Separator line as the first line of the file
    sep=x.</h2>
                                <pre>includeSeparatorLine :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_excelCompatibility"> </a>
                            <div class="element clickable propertyprivate property_excelCompatibility" data-toggle="collapse" data-target=".property_excelCompatibility .collapse">
                                <h2>Whether to write a fully Excel compatible CSV file.</h2>
                                <pre>excelCompatibility :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_includeCharts"> </a>
                            <div class="element clickable propertyprotected property_includeCharts inherited" data-toggle="collapse" data-target=".property_includeCharts .collapse">
                                <h2>Write charts that are defined in the workbook?
Identifies whether the Writer should write definitions for any charts that exist in the PhpSpreadsheet object;.</h2>
                                <pre>includeCharts :boolean</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_preCalculateFormulas"> </a>
                            <div class="element clickable propertyprotected property_preCalculateFormulas inherited" data-toggle="collapse" data-target=".property_preCalculateFormulas .collapse">
                                <h2>Pre-calculate formulas
Forces PhpSpreadsheet to recalculate all formulae in a workbook when saving, so that the pre-calculated values are
immediately available to MS Excel or other office spreadsheet viewer when opening the file.</h2>
                                <pre>preCalculateFormulas :boolean</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_useDiskCaching"> </a>
                            <div class="element clickable propertyprivate property_useDiskCaching inherited" data-toggle="collapse" data-target=".property_useDiskCaching .collapse">
                                <h2>Use disk caching where possible?</h2>
                                <pre>useDiskCaching :boolean</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_diskCachingDirectory"> </a>
                            <div class="element clickable propertyprivate property_diskCachingDirectory inherited" data-toggle="collapse" data-target=".property_diskCachingDirectory .collapse">
                                <h2>Disk caching directory.</h2>
                                <pre>diskCachingDirectory :string</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Writer\Csv"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Writer.html">Writer</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Writer.Csv.html">Csv</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:45 +0000.<br/>
    </footer></body>
</html>
